## ipv6calc 4.1.0

=== Makefile ===
#
# GNU getopt library
#

all: libgnugetopt.so.1

libgnugetopt.so.1: getopt.o getopt1.o
	${CC} ${CFLAGS} -shared -Wl,-soname,libgnugetopt.so.1 -o libgnugetopt.so.1 getopt.o getopt1.o

getopt1.o: getopt1.c
	${CC} ${CFLAGS} -fPIC -o getopt1.o -c -s getopt1.c

getopt.o: getopt.c
	${CC} ${CFLAGS} -fPIC -o getopt.o -c -s getopt.c

clean:
	rm *.o *.so.1

=== databases/cc-assignment/Makefile ===
# Project    : ipv6calc/databases/cc-assignment
# File       : Makefile
# Version    : $Id: 22b39c5d475f107c5519626c2c659e4d4d763374 $
# Copyright  : 2013-2013 by Peter Bieringer <pb (at) bieringer.de>
#
# Information:
#  Makefile for cc-assignment

all:
		test -f db_cc_reg_assignment.h || ${MAKE} update

install:
		echo "Nothing to do"

update:
		echo "Generate new header file, if necessary"
		./check-run-create.sh

updateclean:
		echo "Delete header file"
		rm -f db_cc_reg_assignment.h

distclean:
		echo "Nothing to do"

autoclean:
		echo "Nothing to do"

clean:
		echo "Nothing to do"

updateforce:
		${MAKE} updateclean
		${MAKE} update

=== databases/ieee-iab/Makefile ===
# Project    : ipv6calc/databases/ieee-iab
# File       : Makefile
# Version    : $Id: fa19f658aada81c4f39e0a6726787a43d0060499 $
# Copyright  : 2004-2021 by Peter Bieringer <pb (at) bieringer.de>
#
# Information:
#  Makefile for ieee-iab

FILE    = iab.csv
BASEURL = http://standards-oui.ieee.org/iab/
FILE_H  = dbieee_iab.h
TYPE    = iab

all:
		test -f $(FILE_H) || ${MAKE} update

install:
		echo "Nothing to do"

create:
		../tools/create_ieee_headerfile.pl -c -t $(TYPE) -i $(FILE) -o $(FILE_H) -l ../../lib/libieee.c

update:
		echo "Download new version of file"
		wget $(BASEURL)$(FILE) --timestamp
		${MAKE} create

updateclean:
		echo "Remove header file"
		rm -f $(FILE_H)
		${MAKE} distclean

distclean:
		echo "Remove database file"
		rm -f $(FILE)

autoclean:
		echo "Nothing to do"

clean:
		echo "Nothing to do"

=== databases/ieee-oui/Makefile ===
# Project    : ipv6calc/databases/ieee-oui
# File       : Makefile
# Version    : $Id: dd07cb9e102f78826a0d9a95437424b2314d83fd $
# Copyright  : 2002-2019 by Peter Bieringer <pb (at) bieringer.de>
#
# Information:
#  Makefile for ieee-oui

FILE = oui.csv
BASEURL = http://standards-oui.ieee.org/oui/
FILE_H  = dbieee_oui.h
TYPE    = oui

all:
		test -f dbieee_oui.h || ${MAKE} update

install:
		echo "Nothing to do"

create:
		../tools/create_ieee_headerfile.pl -c -t $(TYPE) -i $(FILE) -o $(FILE_H)

update:
		echo "Download new version of file"
		wget $(BASEURL)$(FILE) --timestamp
		${MAKE} create

updateclean:
		echo "Remove header file"
		rm -f dbieee_oui.h
		${MAKE} distclean

distclean:
		echo "Remove database file"
		rm -f $(FILE)

autoclean:
		echo "Nothing to do"

clean:
		echo "Nothing to do"

=== databases/ieee-oui28/Makefile ===
# Project    : ipv6calc/databases/ieee-oui36
# File       : Makefile
# Version    : $Id: ca613589e561df0a061b42002bdd1087acee0ff0 $
# Copyright  : 2019-2019 by Peter Bieringer <pb (at) bieringer.de>
#
# Information:
#  Makefile for ieee-oui28

FILE    = mam.csv
BASEURL = http://standards.ieee.org/develop/regauth/oui28/
FILE_H  = dbieee_oui28.h
TYPE    = oui28

all:
		test -f $(FILE_H) || ${MAKE} update

install:
		echo "Nothing to do"

create:
		../tools/create_ieee_headerfile.pl -c -t $(TYPE) -i $(FILE) -o $(FILE_H) -l ../../lib/libieee.c

update:
		echo "Download new version of file"
		wget $(BASEURL)$(FILE) --timestamp
		${MAKE} create

updateclean:
		echo "Remove header file"
		rm -f $(FILE_H)
		${MAKE} distclean

distclean:
		echo "Remove database file"
		rm -f $(FILE)

autoclean:
		echo "Nothing to do"

clean:
		echo "Nothing to do"

=== databases/ieee-oui36/Makefile ===
# Project    : ipv6calc/databases/ieee-oui36
# File       : Makefile
# Version    : $Id: 7e92ef50255dd0136f32c6d25ebe6f29b194c4d8 $
# Copyright  : 2013-2021 by Peter Bieringer <pb (at) bieringer.de>
#
# Information:
#  Makefile for ieee-oui36

FILE    = oui36.csv
BASEURL = http://standards.ieee.org/develop/regauth/oui36/
FILE_H  = dbieee_oui36.h
TYPE    = oui36

all:
		test -f $(FILE_H) || ${MAKE} update

install:
		echo "Nothing to do"

create:
		../tools/create_ieee_headerfile.pl -c -t $(TYPE) -i $(FILE) -o $(FILE_H) -l ../../lib/libieee.c

update:
		echo "Download new version of file"
		wget $(BASEURL)$(FILE) --timestamp
		${MAKE} create

updateclean:
		echo "Remove header file"
		rm -f $(FILE_H)
		${MAKE} distclean

distclean:
		echo "Remove database file"
		rm -f $(FILE)

autoclean:
		echo "Nothing to do"

clean:
		echo "Nothing to do"

=== databases/ipv6-assignment/Makefile ===
# Project    : ipv6calc/databases/ipv6-assignment
# File       : Makefile
# Version    : $Id: d04e4985e34b9c8a85f181592ef5add572c5fe54 $
# Copyright  : 2005-2017 by Peter Bieringer <pb (at) bieringer.de>
#               Initial copy from ../ipv4-assignment/Makefile & adaption for IPv6 by Simon Arlott
#
# Information:
#  Makefile for ipv6-assignment

all:
		test -f dbipv6addr_assignment.h || ${MAKE} update

install:
		echo "Nothing to do"

update:
		echo "Generate new header file, if necessary"
		../../tools/ipv6calc-registries-check-run-create.sh -6 -H -C ../../tools/ipv6calc-create-registry-list-ipv6.pl

force-update:
		echo "Generate new header file"
		../../tools/ipv6calc-registries-check-run-create.sh -u -6 -H -C ../../tools/ipv6calc-create-registry-list-ipv6.pl

db:
		echo "Generate new db files, if necessary"
		../../tools/ipv6calc-registries-check-run-create.sh -6 -B -C ../../tools/ipv6calc-create-registry-list-ipv6.pl

force-db:
		echo "Generate new db files"
		../../tools/ipv6calc-registries-check-run-create.sh -u -6 -B -C ../../tools/ipv6calc-create-registry-list-ipv6.pl

updateclean:
		echo "Delete header file"
		rm -f dbipv6addr_assignment.h
		echo "Delete DB files"
		rm -f ipv6calc-external-ipv6-registry.db ipv6calc-external-ipv6-countrycode.db

distclean:
		echo "Nothing to do"

autoclean:
		echo "Nothing to do"

clean:
		echo "Nothing to do"

=== databases/registries/Makefile ===
# Project    : ipv6calc/databases/registries
# File       : Makefile
# Version    : $Id: 271256d9f8d47c0bdd2a47c3a4a7c8c3917f8fb7 $
# Copyright  : 2002-2022 by Peter Bieringer <pb (at) bieringer.de>
#               replaces parts of ../ipv4-assignment/Makefile
#               replaces parts of ../ipv6-assignment/Makefile
#
# Information:
#  Makefile for updating assignment data of registries

all:
		${MAKE} update

install:
		echo "Nothing to do"

download:
		echo "Download new version of files"
		../../tools/ipv6calc-update-registries.sh

update-only:
		echo "Create database files for IPv4"
		cd ../ipv4-assignment && ${MAKE} update

		echo "Create database files for IPv6"
		cd ../ipv6-assignment && ${MAKE} update

		echo "Create database files for ASN to Registry"
		cd ../as-assignment && ${MAKE} update

		echo "Create database files for CountryCode to Registry"
		cd ../cc-assignment && ${MAKE} update

update:
		${MAKE} download

		${MAKE} update-only

distclean:
		echo "Delete data files"
		if [ -d iana ]; then \
			echo "Delete datafiles: iana"; \
			rm -f iana/ipv6-unicast-address-assignments.xml iana/ipv4-address-space.xml iana/as-numbers.txt; \
			rmdir iana; \
		fi
		if [ -d lisp ]; then \
			echo "Delete datafiles: lisp"; \
			rm -f lisp/site-db; \
			rmdir lisp; \
		fi
		for d in ripencc apnic arin lacnic afrinic; do \
			if [ -d $${d} ]; then \
				echo "Delete datafiles: $${d}"; \
				rm -f $${d}/delegated-$${d}-*; \
				rmdir $${d}; \
			fi; \
		done

autoclean:
		echo "Nothing to do"

clean:
		echo "Nothing to do"

=== debian/changelog ===
ipv6calc (4.1.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096849)

 -- Adrian Bunk <bunk@debian.org>  Thu, 02 Oct 2025 21:45:57 +0300

ipv6calc (4.1.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Preserve IEEE database timestamps, to make build reproducible.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 May 2025 19:55:02 +0200

ipv6calc (4.1.0-0.1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Non-maintainer upload, maintainer is unresponsive (#999664).
  * New upstream release.
    - Drop GCC 10-related patch (ipv6logconv.patch), fixed upstream.
    - Switch to GeoIP2 (libmaxminddb-dev), replacing the GeoIP-Legacy
      (libgeoip-dev) functionality.
  * Convert package to "dh", and bump debhelper compat to 13.
  * Build with (all) hardening flags.
  * Enable some of the upstream build-time tests.
  * Add more upstream cruft (Makefiles) to d/clean.
  * Properly return the source tree to its pristine condition after "clean".
  * Bump watchfile to version 4.
  * Switch watchfile from FTP to HTTPS URL, addressing the
    debian-watch-uses-insecure-uri lintian warning.
  * Use upstream's 2022-12-04 signing key (expires: 2027-12-03).
  * Remove versioned Build-Dependency on a too old dpkg-dev.
  * Bump Standards-Version to 4.6.2.
  * Add upstream metadata, mostly pointing to upstream's GitHub project.
  * Set Rules-Requires-Root to no.
  * debian/copyright:
    - Update to copyright-format v1.0.
    - Reindent based on the new format rules.
    - Add the GPL preamble, use Comment, and separate GPL-2.0 from GPL-2.0+.
    - Update dates and files, as a result of the new upstream release.
    - Add my own copyright.
  * Remove now-obsolete README.source (was the quilt boilerplate).
  * Remove now-obsolete README.Debian.
  * Remove tools and examples that are not really useful in a binary
    distribution.
  * Use the Debian-provided copies of IEEE data (which also happen to be more
    recent), rather than the precompiled ones in the source tarball.
  * Add lintian overrides when appropriate, with a comment documenting why.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 02 Dec 2023 23:50:30 +0200

ipv6calc (1.0.0-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1043192)
    + Drop unused quilt

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 10:52:01 +0200

ipv6calc (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957372)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Aug 2020 18:48:51 +0100

ipv6calc (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Luca Bruno <lucab@debian.org>  Thu, 10 May 2018 13:19:02 +0000

ipv6calc (0.99.1-2) unstable; urgency=medium

  [ Evgeni Golov ]
  * remove myself from uploaders

  [ Luca Bruno ]
  * control: move vcs endpoints to salsa
  * control: bump to compat version 10
  * rules: switch to dh_prep
  * control: bump policy version to 4.1.4
  * gbp: update config

 -- Luca Bruno <lucab@debian.org>  Tue, 24 Apr 2018 20:28:10 +0000

ipv6calc (0.99.1-1) unstable; urgency=medium

  * New upstream version
  * debian: update control and gbp.conf

 -- Luca Bruno <lucab@debian.org>  Sat, 03 Oct 2015 19:01:46 +0200

ipv6calc (0.97.4-1) unstable; urgency=medium

  * New upstream version
  * Bump policy version to 3.9.5

 -- Luca Bruno <lucab@debian.org>  Sun, 17 Aug 2014 15:48:16 +0200

ipv6calc (0.97.2-1) unstable; urgency=medium

  * new upstream version
  * debian/watch: add OpenPGP signature check

 -- Luca Bruno <lucab@debian.org>  Sat, 21 Jun 2014 11:14:38 +0200

ipv6calc (0.95.0-1) unstable; urgency=low

  * New upstream version

 -- Luca Bruno <lucab@debian.org>  Sun, 01 Dec 2013 12:15:18 +0100

ipv6calc (0.94.1-1) unstable; urgency=low

  * New upstream version

 -- Luca Bruno <lucab@debian.org>  Thu, 16 May 2013 17:20:29 +0200

ipv6calc (0.93.1-2) unstable; urgency=low

  * Use hardened CPPFLAGS (Closes: #665288)

 -- Luca Bruno <lucab@debian.org>  Sat, 19 May 2012 23:51:46 +0200

ipv6calc (0.93.1-1) unstable; urgency=low

  * New upstream release
  * Added dpkg-dev build-dep
  * Bumped standards-version to 3.9.3 (no changes)
  * Fix build target in debian/rules (with arch/indep split)

 -- Luca Bruno <lucab@debian.org>  Mon, 12 Mar 2012 17:53:44 +0100

ipv6calc (0.92.0-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sat, 26 Nov 2011 16:36:25 +0100

ipv6calc (0.90.0-2) unstable; urgency=low

  * Enable hardening flags (Closes: #646271)
    + Fix some snprintf() without format specifiers

 -- Luca Bruno <lucab@debian.org>  Wed, 02 Nov 2011 13:58:53 +0100

ipv6calc (0.90.0-1) unstable; urgency=low

  * New upstream version
  * Use split v4/v6 GeoIP databases

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Aug 2011 15:54:04 +0200

ipv6calc (0.82.0-1) unstable; urgency=low

  * New upstream release
    + Add support for NAT64

 -- Luca Bruno <lucab@debian.org>  Sun, 03 Apr 2011 17:29:28 +0200

ipv6calc (0.81.0-1) unstable; urgency=low

  * New upstream release
    + Address parsing with stricter validation (Closes: #612489)

 -- Luca Bruno <lucab@debian.org>  Wed, 02 Mar 2011 10:27:47 +0100

ipv6calc (0.80.0-1) unstable; urgency=low

  * New upstream release
    + Drop all our previous patches, everything has been accepted upstream

 -- Luca Bruno <lucab@debian.org>  Sun, 16 Jan 2011 12:14:06 +0100

ipv6calc (0.73.0-3) unstable; urgency=low

  * Fix typo in printing of Teredo server address, thanks Martin Millnert
    (Closes: #569236)
  * Bumped Standards-Version to 3.8.4

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Mar 2010 11:11:18 +0100

ipv6calc (0.73.0-2) unstable; urgency=low



=== debian/control ===
Source: ipv6calc
Section: net
Priority: optional
Maintainer: Luca Bruno <lucab@debian.org>
Homepage: https://www.deepspace6.net/projects/ipv6calc.html
Vcs-Browser: https://salsa.debian.org/debian/ipv6calc
Vcs-Git: https://salsa.debian.org/debian/ipv6calc.git
Build-Depends:
 debhelper-compat (= 13),
 ieee-data,
 libmaxminddb-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2

Package: ipv6calc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bind9-host | host,
Description: small utility for manipulating IPv6 addresses
 The ipv6calc utility can convert between different formats of IPv4 or IPv6
 addresses. It can also show information about the addresses, including who
 they are assigned to on the Internet.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Can likely be dropped when updating to >= 4.3.0
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@

override_dh_auto_configure:
	# upstream build system regenerates this from a .in, to embed the httpd version number
	# keep a copy before building, and restore it afterwards, to ensure a clean build tree
	# upstream bug #39
	[ ! -f contrib/ipv6calc.spec.bak ] && mv contrib/ipv6calc.spec contrib/ipv6calc.spec.bak || true
	dh_auto_configure -- \
		--enable-mmdb

override_dh_auto_build:
	# use the system copies of the IEEE data to generate header files etc.
	debian/use-system-ieee-data.sh regenerate
	# some hardening flags (such as fortify) are in CPPFLAGS, but
	# upstream's Makefiles do not currently employ CPPFLAGS at all, so
	# workaround this by passing them to DEFAULT_CFLAGS. Upstream bug #37.
	dh_auto_build -- DEFAULT_CFLAGS="$(CPPFLAGS)"

override_dh_auto_test:
	# only run ipv6calc's test suite; the ipv6log* binaries error out when uid == 0
	# and even though we do not require root to build (see Rules-Requires-Root),
	# we do need to support building as root
	cd ipv6calc && make test

execute_after_dh_auto_install:
	# these are really source-level tools, generating headers etc. Upstream bug #38.
	rm -rf debian/ipv6calc/usr/share/ipv6calc/tools/
	rmdir -p --ignore-fail-on-non-empty debian/ipv6calc/usr/share/ipv6calc

execute_after_dh_auto_clean:
	[ -f contrib/ipv6calc.spec.bak ] && mv contrib/ipv6calc.spec.bak contrib/ipv6calc.spec || true
	# restore pregenerated header files to their pristine condition
	debian/use-system-ieee-data.sh restore
